<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Categoria extends Model
{
    use HasFactory;

    protected $table = 'categorias';

    public function Productos(){
        return $this->hasMany(Producto::class, 'categoria_id');
    }
    
    public function Novedades(){
        return $this->hasMany(Novedad::class, 'categoria_id');
    }
}
